Function
append
Concatenate two containers.
This function allows to append the contents of one container to another.
append(target, source [, limit] [,resize_tag])
Include Headers
seqan/sequence.h
Parameters

target | A container source is append to. Types: char array, std::basic_string, std::vector, String, thrust::device_vector
source | A container that is append to target. Types: char array, std::basic_string, String Remarks: The function does not modify this container.
limit | The maximal length of target after the operation. (optional)
resize_tag | Specifies the strategy that is applied if target has not enough capacity to store the complete content. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowImplicit of the target type.

Remarks
The result of this operation is stored in target.
Member of
std::basic_string, char array, thrust::device_vector, String, std::vector
Part of Concept
ContainerConcept, Container
See Also
insert, assign, replace
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57